Pregunta ¿Cómo instalar las dependencias de desarrollo gtk en Ubuntu?


Tengo el código de Tutorial GTK en base.c.

Estoy trabajando en Ubuntu y cuando compilo usando

$ gcc base.c -o base `pkg-config --cflags --libs gtk+-2.0` 

Obtengo lo siguiente error

Package gtk+-2.0 was not found in the pkg-config search path.
Perhaps you should add the directory containing `gtk+-2.0.pc' to the PKG_CONFIG_PATH environment variable
No package 'gtk+-2.0' found
base.c:1:20: fatal error: gtk/gtk.h: No such file or directory compilation terminated.

Siendo nuevo en linux, ¿alguien puede ayudarme a configurar el ambiente para que pueda compilar / ejecutar el programa con éxito?


29
2018-03-13 15:54


origen


Respuestas:


$ sudo apt-get install libgtk2.0-dev

En general, para construir cosas basadas en libfoo, necesitas libfoo-dev.

Además, para instalar todo lo que se necesita para construir un paquete, diga gedit, Tu puedes correr:

$ sudo apt-get build-dep gedit

buscando http://packages.ubuntu.com/ o Synaptic puede ayudar.


48
2018-03-13 15:57